/**
 *  Classe Book
 *  Autor: Moacir Ponti Jr
 *  Fev/2011
 */

#include <string.h>
#include <stdlib.h>

class Book {
   private:
     char *title;  // 4
     char *author; // 4
     int code;     // 4
     double price; // 8
                   // ------
                   // 20 <- tamanho em sistema 32bits
  
   public:
     // setters (metodos modificadores)
     void setCode(int value) {
	    if (value > 0)
             code = value;
	    else
		 code = 0;
     }
     
     void setPrice(double value) {
         price = value;
     }
     
     void setTitle(char *value) {
	   // e preciso alocar dinamicamente pois title eh ponteiro
         title = (char *) malloc( sizeof(char)*(strlen(value)+1) );
         strcpy(title,value);
	   strcpy(value,"Alterado");
     }

     void setAuthor(char *value) {
	   // e preciso alocar dinamicamente pois author eh ponteiro
         author = (char *) malloc( sizeof(char) * (strlen(value)+1) );
         strcpy(author,value);
     }
 
     // getters (metodos de acesso)
     int getCode(){ return code; }
     double getPrice(){ return price; }
     char *getAuthor(){ return author; }
     char *getTitle(){ return title; }
};